import request from '@/common/request.js';
const api = {
	//首页查询轮播图
	getBanner(data) {
		return request({
			url: "/system/banner/list",
			data: {
				type: 1
			},
			method: "GET"
		})
	},
	//获取门店 
	getShoplist(data) {
		return request({
			url: '/system/party/listShop',
			data,
			method: "GET"
		})
	},
	//获取活动
	getparty(data) {
		return request({
			url: "/system/party/list",
			data,
			method: "GET"
		})
	},
	//门店id获取楼层
	getetlistFloorByShop(data) {
		return request({
			url: `/system/party/listFloorByShopId/${data}`,
			method: "GET"
		})
	},
	//楼层id查询区域列表
	getlistAreaByFloor(data) {
		return request({
			url: `/system/party/listAreaByFloorId/${data}`,
			method: "GET"
		})
	},
	//楼层id查询卡座列表
	getlistSeatByByFloor(data) {
		return request({
			url: `/system/party/listSeatByByFloorId`,
			data,
			method: "GET"
		})
	},
	//楼层id查询活动(派对)列表
	getlistPartyByFloor(data) {
		return request({
			url: `/system/party/listPartyByFloorId`,
			data: data,
			method: "GET"
		})
	},
	//活动id查询领队列表
	getlistLeaderByParty(data) {
		return request({
			url: `/system/party/listLeaderByPartyId/${data}`,
			method: "GET"
		})
	},
	//活动详情
	getPartyByDetail(data) {
		return request({
			url: `/system/party/getPartyById/${data}`,
			method: "GET"

		})
	},
	//领队id查询参与拼卡的会员列表
	getAndLeader(data) {
		return request({
			url: `/system/party/listPlayerByPartyIdAndLeaderId`,
			data,
			method: "GET"
		})
	},
	//购买拼卡返回订单id待支付
	getbuyMember(data) {
		return request({
			url: `/system/party/buyMember`,
			data,
			method: "POST"
		})
	},
	//购买定卡返回订单id待支付
	getbuySeat(data) {
		return request({
			url: `/system/party/buySeat`,
			data,
			method: "GET"
		})
	},
	//获取订单详细信息
	getgetOrderById(data) {
		return request({
			url: `/system/party/getOrderById/${data}`,
			data,
			method: "GET"
		})
	},
	//微信支付
	getwechatpay(data) {
		return request({
			url: `/system/party/wechatpay`,
			data,
			method: "POST"
		})
	},
	//获取支付结果通知
	getwechatpaynotify(data) {
		return request({
			url: `/system/party/wechatpay/notify`,
			data,
			method: "POST"
		})
	},
	//举报
	getDiscoverReport(data) {
		return request({
			url: "/system/discoverReport/insertDiscoverReport",
			data,
			method: "POST"
		})
	}
};

export default api;